html.high-contrast .deviceInfoContainer .deviceIcon.router {
    background-image: url('../a11y/img/mesh_device_Router.png');
}
html.high-contrast .deviceInfoContainer .deviceIcon.other {
    background-image: url('../a11y/img/other.png');
}
html.high-contrast .deviceInfoContainer .deviceIcon.extender {
    background-image: url('../a11y/img/reDevice.png');
}
html.high-contrast #meshDevicesTable .ethernet,
html.high-contrast #editMeshDevicesModal .ethernet {
    background-image: url('../a11y/img/ethernet.png');
}
html.high-contrast #meshDevicesTable .offline,
html.high-contrast #editMeshDevicesModal .offline {
    color: #137e90;
}

/* log Center */
html.high-contrast span.log-download-icon {
    background-image: url(../img/icons.png);
}

/* networkMap */
div.map-host {
    position: absolute;
    top: 54px;
    left: 200px;
    width: 62px;
    text-align: center;
    cursor: pointer;
}

div.map-wrapper {
    position: absolute;
    border: 1px solid #cccccc;
    border-radius: 7px;
    width: 132px;
    height: 132px;
    top: 202px;
    text-align: center;
}

div.map-line-branch {
    position: absolute;
    top: 177px;
    height: 25px;
    border: 1px solid #cccccc;
    border-bottom: none;
}

div.map-line-branch-middle {
    border-left: none;
}

div.map-wrapper .map-icon {
    margin: 30px auto 4px;
}

#map_internet span.map-icon-internet-status:not(.disconn, .dnserr, .bridge, .usb3gConn, .connecting) {
    background: url(../img/internetConn.png);
    border-radius: 9px;
}

div.map-icon-meshDevices {
    width: 64px;
    height: 64px;
    background: url("../img/meshDevices.png");
}

div.map-icon-meshDevices-conn {
    width: 64px;
    height: 64px;
    background: url("../img/meshDevicesConn.png");
}

div.map-icon-clients {
    width: 64px;
    height: 64px;
    background: url("../img/clients.png");
}

div.map-icon-clients-conn {
    width: 64px;
    height: 64px;
    background: url("../img/clientsConn.png");
}

div.map-wrapper div.map-icon-phoney {
    width: 64px;
    height: 64px;
    background: url(../img/phony.png);
}

div.map-wrapper div.map-icon-phoney-conn {
    background: url(../img/phonyConn.png);
}

div.map-wrapper div.map-icon-usbDisk {
    width: 64px;
    height: 64px;
    background: url(../img/icons.png) no-repeat -199px -536px;
}

div.map-wrapper div.map-icon-usbDisk-conn {
    background-position: -265px -536px;
}


div.map_wrap span.map-icon-num {
    top: 28px;
    right: 20px;
    background: #008a00;
    color: #ffffff;
    border-radius: 12px;
}

.clicked .clicked-circle:before {
    border-radius: 50%;
    box-shadow: 0 0 10px 0 #41d0dc;
    content: '';
    position: absolute;
    width: 64px;
    height: 64px;
    left: 34px;
    top: 28px;
    background-color: #41d0dc;
    opacity: 0.3;
}

.clicked .clicked-circle.first-row:before {
    left: 0;
    top: -1px;
}


div.clicked span.wrap-text {
    font-weight: bold;
    color: #4acbd6;
}

div.internet-speed-test-history {
    top: 0 !important
}

span.map-icon-internet-status.connecting {
    height: 20px;
    width: 20px;
    background: url(../img/connect.gif) no-repeat;
    position: absolute;
    right: 0;
    bottom: 4px;
}

div.internet-host {
    width: 90px;
    left: 110px;
}

div.host-router {
    width: 200px;
    left: 270px
}

div.host-router.dashed-line {
    border-top: none;
    background: linear-gradient(to right, #cccccc 0%, #cccccc 50%, transparent 50%);
    background-size: 8px 1px;
    background-repeat: repeat-x;

}

#speedDsl-outer {
    position: absolute;
    top: 50px
}

.sprite {
    display: inline-block;
    overflow: hidden;
    background-repeat: no-repeat;
    background-image: url(../img/speedTest.png);
}

.speedDsl-wrapper .sprite {
    margin-right: 8px;
}

#speedDsl-container .download_nomal,
.downRate .download1_nomal {
    width: 9px;
    height: 12px;
    background-position: -16px -271px;
}

#speedDsl-container .upload_nomal,
.upRate .upload_nomal {
    width: 9px;
    height: 12px;
    background-position: -4px -319px;
}

.speedDsl-up-row {
    margin-top: 5px;
}

#speedDsl-container,
.speedDsl-wrapper,
.speedDsl-value {
    display: inline-block;
    vertical-align: middle;
}

.speedDsl-leftWrapper {
    max-width: 90px;
    margin-right: 12px;
    text-align: center;
}

.deviceInfoContainer .deviceName {
    width: 125px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.deviceInfoContainer .deviceIp {
    max-width:110px;
    color: #6e787d;
    margin-left: 44px;
}

.upRate,
.downRate {
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.downRate {
    margin-top: 5px;
}

.upRate .upload_nomal,
.downRate .download1_nomal {
    margin: 0 5px 0 15px;
}

.txrxRate.icon {
    width: 20px;
    height: 20px;
    margin: 10px auto;
    background: url(../img/icons.png) no-repeat -293px -674px;
}

.mloTxRxRateTooltipContainer .icon-delta {
    background: url("../img/icons.png") no-repeat scroll -267px -1118px;
    display: block;
    width: 9px;
    height: 4px;
    transform: rotate(-180deg);
    top: -10px;
    left: 39px;
}

.mloTxRxRate {
    position: relative;
}

.mloTxRxRateTooltip {
    width: 250px;
    height: 120px;
    background-color: #fff;
    box-shadow: 0 0 6px #a8a9ac;
    border-radius: 5px;
    display: flex;
    position: absolute;
    justify-content: center;
    align-items: center;
    top: -130px;
    left: -80px;
}

.mloTxRxRate .expandArrow {
    background: url('../img/icons.png') no-repeat -250px -1218px;
    display: inline-block;
    position: absolute;
    width: 8px;
    height: 12px;
    top: 30px;
    left: 90px;
}

.flexIpBand {
    display: flex;
    align-items: center;
    margin-top: 5px;
}

.deviceBand {
    min-width: 34px;
    height: 16px;
    padding: 0 4px;
    margin-left: 5px;
    font-size: 12px;
    line-height: 18px;
    text-align: center;
    vertical-align: middle;
    border: 1px solid;
    border-radius: 9px;
}

.deviceBand.band2g, .mloBand24G {
    border-color: rgb(255, 203, 0);
    background: rgba(255, 203, 0, 0.04);
}

.deviceBand.band5g, .mloBand5G {
    border-color: rgb(0, 163, 223);
    background: rgba(0, 163, 223, 0.06);
}

.deviceBand.band6g, .mloBand6G {
    border-color: rgb(20, 204, 169);
    background: rgba(20, 204, 169, 0.06);
}

.mloBand24G, .mloBand5G, .mloBand6G {
    width: 34px;
    margin-bottom: 5px;
}

.bandTagWrap {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0 5px;
}

.deviceBand.iot2g,
.deviceBand.iot5g {
    border-color: rgb(66, 26, 192);
    background: rgba(66, 26, 192, 0.05);
}

.deviceBand.wired {
    border-color: rgb(150, 199, 0);
    background: rgba(150, 199, 0, 0.06);
}

.deviceBand.offline,
.deviceBand.unknown {
    border-color: rgb(165, 163, 163);
    background: rgba(165, 163, 163, 0.06);
}

.deviceBand.mlo {
    content: 'mlo';
    color: #1d2529;
    border: 1px solid transparent;
    background-clip: padding-box, border-box;
    background-origin: padding-box, border-box;
    background-image: linear-gradient(to right, #fff, #fff), linear-gradient(to right, #ffcb00, #4acbd6);
}

.durationTime {
    word-break: break-word;
}

.editIcon {
    width: 18px;
    height: 18px;
    background: url(../img/edit.png) no-repeat;
    margin-bottom: 3px;
    cursor: pointer;
}

.table-grid-icon.blockIcon {
    width: 20px;
    height: 20px;
    background: url(../img/icons.png) no-repeat -40px -40px;
    display: inline-block;
    cursor: pointer;
}

#map-clients-card {
    margin-top: 5px;
}

#map-mesh-card {
    margin-top: 10px;
}

div.map-panel div.map-panel-cnt {
    min-height: unset;
}

#map-internet-card .card-form-item.label-sixty .item-label {
    width: 60%;
}

#map-internet-card .card-form-item.label-sixty .item-content {
    width: 40%;
}

div.add-mesh-guide div.op-guide-hint {
    left: 20px;
    font-size: 20px;
    color: #28e8fad6;
}

p#scan-guide-text {
    width: 85%;
}

div#scan-op-container {
    width: 500px;
    top: 50px;
    margin: 0 auto;
}

div.add-method {
    margin-bottom: 30px;
}

div.add-method button {
    width: 525px;
    min-height: 55px;
    height: fit-content;
    border-radius: 4px;
    background-color: #fafafa;
    border: 1px solid #d0d0d0;
    text-align: left;
}

div.add-method button:hover {
    border: 1px solid #4acbd6;
}

div#select-method-btn {
    left: 9px;
    margin-top: 50px;
    flex-flow: column;
}

span.method-btn {
    width: 100%;
    color: #101010;
    margin-right: 0px;
    margin-left: 10px;
}

span.method-tip {
    width: 100%;
    color: grey;
    margin-left: 10px;
}

p.scan-result {
    position: relative;
    top: 10px;
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    color: rgb(74, 203, 214);
    margin: 1em 0;
}

div.mesh-device-type-container.icon.mesh {
    position: relative;
    left: 20%;
    width: 40px;
    height: 40px;
    background: url('../img/mesh_device_mesh.png');
    /* background: url("../img/mesh_sprites.png") no-repeat -28px -140px; */
}

div.mesh-device-type-container.icon.dsl {
    position: relative;
    left: 20%;
    width: 40px;
    height: 40px;
    background: url('../img/mesh_device_DSL.png');
}

div.mesh-device-type-container.icon.pon {
    position: relative;
    left: 20%;
    width: 40px;
    height: 40px;
    background: url('../img/mesh_device_PON.png');
}

div.mesh-device-type-container.icon.mbbcpe {
    position: relative;
    left: 20%;
    width: 40px;
    height: 40px;
    background: url('../img/mesh_device_MBBCPE.png');
}

div.mesh-device-type-container.icon.router {
    position: relative;
    left: 20%;
    width: 40px;
    height: 40px;
    background: url('../img/mesh_device_Router.png');
}

div.status-container.mesh-res-status.success {
    display: block;
    width: 29px;
    height: 40px;
    margin: 0 auto;
    background: url("../img/mesh_sprites.png") no-repeat -28px -140px;
}

div.status-container.mesh-res-status.failed {
    display: block;
    width: 24px;
    height: 30px;
    margin: 0 auto;
    background: url("../img/mesh_sprites.png") no-repeat -57px -145px;
}

p.add-scan-result {
    position: relative;
    top: 10px;
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    color: rgb(74, 203, 214);
    margin: 1em 0;
}

button#try-scan-again {
    top: 5px;
}

button#pressedFinishScan {
    top: 40px;
}

button#pressedAddMoreScanButton {
    top: 25px
}

button#try-scan-add-again {
    top: 25px
}

button#pressedFinishScanAdd {
    top: 60px
}

button#add-scanned-devices {
    top: 35px;
}

div#scanned-devices .operation-guide {
    margin-top: 50px;
}

div#finished_scan_add {
    height: 420px;
}

div#add-result-btn-area {
    top: 74px
}

button#backToPrePageScan {
    top: 50px;
}

p.select-method-tip {
    position: relative;
    top: 0px;
    text-align: left;
    font-size: 10px;
    color: grey;
}

div#select-tip {
    height: 40px;
    margin: unset;
}

.rssi-text {
    display: block;
    max-width: 25px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

div.map-easymesh.star-middle,div.map-easymesh.lvl2-re,div.map-easymesh.lvl3-re,div.map-easymesh.lvl4-re {
    cursor: default;
}

div.map-topology span.modelName {
    width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
}

#mesh_topology_lvl2.map-topology span.modelName {
    margin-left: unset;
}

#mesh_topology_lvl3.map-topology span.modelName, 
#mesh_topology_lvl4.map-topology span.modelName {
    margin-left: -10px;
}

/* high contrast */
html.high-contrast span.map-icon-internet-status.connecting {
    height: 20px;
    width: 20px;
    background: url(../img/connect.gif) no-repeat;
    position: absolute;
    right: 0;
    bottom: 4px;
}

html.high-contrast div.clicked span.wrap-text {
    color: #137e90;
}

html.high-contrast #speedDsl-container .download_nomal,
html.high-contrast .downRate .download1_nomal {
    background-position: -16px -287px
}

html.high-contrast #speedDsl-container .upload_nomal,
html.high-contrast .upRate .upload_nomal {
    background-position: -17px -303px
}

html.high-contrast .txrxRate.icon,
html.high-contrast .blockIcon {
    background-image: url(../a11y/img/icons.png);
}

html.high-contrast .editIcon {
    background-image: url(../a11y/img/edit.png);
}
html.high-contrast .ethernet-icon-en {
    background: url(../a11y/img/port.png) no-repeat;
    background-size: contain;
}
html.high-contrast .ethernet-icon-off {
    background: url(../a11y/img/portDisabled.png) no-repeat;
    background-size: contain;
}
html.high-contrast .card-form-column .card-form-item .item-content.link {
    color: #137e90;
}
/* Devices */
.card-item-wrap {
    width: 100%;
}
.card-item-wrap-margin {
    margin-bottom: 16px;
}
.panel-before {
    display: flex;
    justify-content: space-between;
}
.panel-before-title {
    margin-bottom: 10px;
}
.panel-before-title span{
    font-size: 14px;
    font-weight: 700;
}
.panel-before-right {
    margin-bottom: 10px;
    float: right;
}
.ethernet-icon-en {
    background: url(../img/port.png) no-repeat;
    background-size: contain;
    width: 36px;
    height: 36px;
}
.ethernet-icon-off {
    background: url(../img/portDisabled.png) no-repeat;
    background-size: contain;
    width: 36px;
    height: 36px;
}
.ethernet-item {
    align-items: center;
    width: 80px;
    display: flex;
    flex-direction: column;
}
#ethernet-item-wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 30px;
    column-gap: 20px;
}
.mode-label {
    margin: 0px;
}
.tp-card-container .card-form-column .card-form-item.card-item-btn{
    align-items: center;
    margin-bottom: 16px;
}
.card-form-column .card-form-item .item-label.item-label-btn {
    margin: 0px;
    font-weight: 700;
    width: 45%;
}
.card-form-column .card-form-item .item-content.link {
    color: #4acbd6;
    text-decoration: underline;
}

#mesh_topology_lvl2 div.map-icon-re {
    margin-left: 26px;
}

#mesh_topology_lvl3 div.map-icon-re, 
#mesh_topology_lvl4 div.map-icon-re {
    margin-left: 8px;
}

div.map-icon-re {
    position: absolute;
    top: 0;
    left: 0;
    width: 64px;
    height: 64px;
    background-image: url('../img/rangeExtender.png');
}
.card-form-column .card-form-item .item-content#dect {
    word-break: normal;
}

#mssid1_qrcode, #mssid2_qrcode, #mssid3_qrcode {
    right: -5px;
}

#iot_bs_qrcode, #iot_2g_qrcode, #iot_5g_qrcode {
    right: -5px;
}
/* EAA */
.map_wrap:focus-visible [role='tab'].focus:not(#speedTestResume-container)> :first-child,
.map_wrap.focus-visible:focus [role='tab'].focus:not(#speedTestResume-container)> :first-child,
#mesh_topology_wrapper:focus-visible [role='tab'].focus> :first-child,
#mesh_topology_wrapper.focus-visible:focus [role='tab'].focus> :first-child {
    outline-offset: -2px;
    border-radius: 50%;
}
